Name:           httrack
Version:        3.47.27
Release:        3
Summary:        Website copier and offline browser
License:        GPLv2+
URL:            http://www.httrack.com
Group:          Applications/Internet
Source0:        http://www.httrack.com/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:  dos2unix
BuildRequires:  libiconv >= 1.14-3
BuildRequires:  openssl-devel >= 1.0.2j-2
BuildRequires:  zlib-devel
Requires:       libgcc >= 4.5.4-1
Requires:       libiconv >= 1.14-3
Requires:       openssl >= 1.0.2j-2
Requires:       zlib

%description
HTTrack is a free and easy-to-use offline browser utility. It allows the user 
to download a World Wide Web site from the Internet to a local directory, 
building recursively all directories, getting HTML, images, and other files 
from the server to your computer. HTTrack arranges the original site's 
relative link-structure. HTTrack can also update an existing mirrored site, 
and resume interrupted downloads. HTTrack is fully configurable, and has an 
integrated help system.


%package        devel
Summary:        Development files for %{name}
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0


%build
export CC=gcc
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# remove generic header from /usr/include/httrack.
rm -f ${RPM_BUILD_ROOT}%{_includedir}/%{name}/config.h

# remove unnecessary dynamic libraries from /opt/freeware/lib/httrack
rm -rf ${RPM_BUILD_ROOT}%{_libdir}/%{name}

# use %%doc instead.
rm -rf ${RPM_BUILD_ROOT}%{_docdir}/%{name}

# move libtest and templates from /opt/freeware/share/httrack to RPM_BUILD_DIR.
# to be later listed against %%doc.
rm -rf ./libtest ./templates
cp -pr ${RPM_BUILD_ROOT}%{_datadir}/%{name}/libtest .
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/libtest
cp -pr ${RPM_BUILD_ROOT}%{_datadir}/%{name}/templates .
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/templates

# we need to have a copy of html in /opt/freeware/share/httrack.
# The other is to be listed against %doc.
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/html
cp -pr html ${RPM_BUILD_ROOT}%{_datadir}/%{name}/

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc AUTHORS COPYING README *.txt
%doc html %{name}-doc.html templates
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_libdir}/*.a
%{_mandir}/man?/*
/usr/bin/*
/usr/lib/*.a


%files devel
%doc libtest
%{_includedir}/*
%{_libdir}/*.la
/usr/include/*
/usr/lib/*.la


%changelog
* Wed Nov 16 2016 Michael Perzl <michael@perzl.org> - 3.47.27-3
- recompiled against latest versions

* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 3.47.27-2
- recompiled against latest version of openssl

* Fri Mar 14 2014 Michael Perzl <michael@perzl.org> - 3.47.27-1
- first version for AIX V5.1 and higher
